package com.tutego.insel.logging;

import java.io.IOException;
import java.util.logging.*;

public class Log1Demo
{
  private static final Logger log = Logger.getLogger( Log1Demo.class.getName() );

  public static void main( String[] args ) throws IOException
  {
    log.fine( "Dann mal los." );

    try
    {
      ((Object) null).toString();
    }
    catch ( Exception e )
    {
      log.log( Level.WARNING, "oh oh", e );
    }

    log.fine( "Ging alles glatt." );
  }
}
